Bug 673661 - Review Request: R-ALL - Data of T- and B-cell Acute Lymphocytic Leukemia
Summary: Review Request: R-ALL - Data of T- and B-cell Acute Lymphocytic Leukemia
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-29 11:44 UTC by Pierre-YvesChibon
Modified: 2011-11-30 02:02 UTC (History)
3 users (show)

Fixed In Version: R-ALL-1.4.11-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-30 01:52:29 UTC
Type: ---
karlthered: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Pierre-YvesChibon 2011-01-29 11:44:16 UTC
Spec URL: http://pingou.fedorapeople.org/RPMs/R-ALL.spec
SRPM URL: http://pingou.fedorapeople.org/RPMs/R-ALL-1.4.7-1.fc14.src.rpm

Description: 
Data of T- and B-cell Acute Lymphocytic Leukemia from the Ritz Laboratory at the DFCI (includes Apr 2004 versions)

Comment 1 Haïkel Guémar 2011-02-12 20:23:06 UTC
R-ALL (noarch package)

all relevant MUST and SHOULD points are listed here.

Must: rplint on src.rpm and binary rpms   OK 
$ rpmlint -iv R-XML-3.2.0-1.fc14.src.rpm
R-ALL.src: I: checking
R-ALL.src: I: checking-url http://www.bioconductor.org/packages/release/data/experiment/html/ALL.html (timeout 10 seconds)
R-ALL.src: I: checking-url http://www.bioconductor.org/packages/release/data/experiment/src/contrib/ALL_1.4.7.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint -iv R-ALL-1.4.7-1.fc14.noarch.rpm
R-ALL.noarch: I: checking
R-ALL.noarch: I: checking-url http://www.bioconductor.org/packages/release/data/experiment/html/ALL.html (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

MUST: package is named accordingly to general and R specific naming guidelines. OK
Note: seems that using real names in changelog is no more written in guidelines, 
but it's a good practice, and i expect that you change this.

MUST: spec file name matches %{name} OK

MUST: package meet packaging guidelines. OK 

MUST: package is licensed under a fedora compliant license (GPL+) OK
Note: tarball says GPL but it has not much meaning, ask upstream to clarify which versions of GPL is supported (they'd probably go with GPLv2+ to ensure a maximum compatibility with existing free softwares). i have confidence that you'll sort this issue with upstream as soon as possible. Since, upstream clearly stated that the software is licensed under a fedora compliant license (version issue aside) ==> NOTABLOCKER.

MUST: spec is written in legible american english. OK

MUST: provided and upstream sources checksums match.  OK
provided sources: ed919079b1177f1c8f02c84c4b78cfc6710a573d
upstream sources: ed919079b1177f1c8f02c84c4b78cfc6710a573d

MUST: compilation tested on all supported platforms (x86 and x86_64) for F14 under mock. OK

MUST: package doesn't bundle third party libraries. OK

MUST: package owns created directories (and only them). OK

MUST: files are not listed twice. OK
 
MUST: files permissions are properly set. OK

MUST: consistent use of macros. OK

MUST: only ships permissible content. OK

MUST: doc is properly handled. OK

MUST: filenames are valid UTF-8. OK 

General and R specific guidelines are respected, under the reserve that you use your real name in changelog and ask upstream to fix licensing terms (it could wait, next package update), i'll approve this package.

Comment 2 Pierre-YvesChibon 2011-02-13 10:26:47 UTC
Thanks for the review Haikel!

New Package SCM Request
=======================
Package Name: R-ALL
Short Description:  Data of T- and B-cell Acute Lymphocytic Leukemia
Owners: pingou
Branches: f15
InitialCC:

Comment 3 Jason Tibbitts 2011-02-15 19:22:50 UTC
Git done (by process-git-requests).

Comment 4 Pierre-YvesChibon 2011-02-16 09:15:03 UTC
I have mailed upstream and will wait for his confirmation regarding the licence before importing the package.
Thanks

Comment 5 Pierre-YvesChibon 2011-06-14 14:57:39 UTC
I pinged upstream again.

Comment 6 Pierre-YvesChibon 2011-08-16 20:33:27 UTC
The license has been changed to Artistic-2.0 I will update the spec accordingly and finally upload and build this package.

Comment 7 Fedora Update System 2011-11-11 15:57:36 UTC
R-ALL-1.4.11-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/R-ALL-1.4.11-1.fc16

Comment 8 Fedora Update System 2011-11-11 15:57:51 UTC
R-ALL-1.4.11-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/R-ALL-1.4.11-1.fc15

Comment 9 Fedora Update System 2011-11-12 03:27:29 UTC
Package R-ALL-1.4.11-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing R-ALL-1.4.11-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15798
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2011-11-30 01:52:29 UTC
R-ALL-1.4.11-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-11-30 02:02:37 UTC
R-ALL-1.4.11-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.